Remove Certificate V2 Using DELETE

Remove Certificate V2 Using DELETE

Delete a Certificate

Request
URI
DELETE
https://{api_host}//lcm-15-95.eng.vmware.com/lcm/locker/api/v2/certificates/{vmid}
COPY
Path Parameters
string
vmid
Required

vmid


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns Certificate of type(s) application/json
{
    "alias": "string",
    "certChain": "string",
    "certInfo": {
        "algorithm": "string",
        "issuer": "string",
        "keyAlgorithm": "string",
        "keyLength": 0,
        "san": "string",
        "sha1": "string",
        "sha256": "string",
        "subject": "string"
    },
    "key": "string",
    "leafCert": "string",
    "validations": [
        {
            "message": "string",
            "strict": false
        }
    ],
    "validity": {
        "expiresOn": "string",
        "healthy": false,
        "issuedOn": "string",
        "period": "string"
    },
    "vmid": "string"
}
string
alias
Optional

alias

string
certChain
Optional

certChain

certInfo
Optional

certInfo

string
key
Optional

key

string
leafCert
Optional

leafCert

validations
Optional

validations

validity
Optional

validity

string
vmid
Optional

vmid


204

No Content

Operation doesn't return any data structure

401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

404

Not Found

Returns GenericErrorResponseDTO of type(s) application/json
{
    "errorCode": "string",
    "errorLabel": "string",
    "message": "string",
    "recommendations": [
        "string"
    ],
    "status": "string"
}
string
errorCode
Optional

errorCode

string
errorLabel
Optional

errorLabel

string
message
Optional

message

array of string
recommendations
Optional

recommendations

string
status
Optional

status